OGRE-Next: Ogre::FrameTimeControllerValue Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::FrameTimeControllerValue Class Reference
Core » General

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:
[legend]

## Public Member Functions
| FrameTimeControllerValue ()
bool | frameEnded (const FrameEvent &evt) override
| Called just after a frame has been rendered.
bool | frameStarted (const FrameEvent &evt) override
| Called when a frame is about to begin rendering.
Real | getElapsedTime () const
Real | getFrameDelay () const
Real | getTimeFactor () const
Real | getValue () const override
void | setElapsedTime (Real elapsedTime)
void | setFrameDelay (Real fd)
void | setTimeFactor (Real tf)
void | setValue (Real value) override
Public Member Functions inherited from Ogre::ControllerValue< Real >
virtual | ~ControllerValue ()
Public Member Functions inherited from Ogre::FrameListener
virtual | ~FrameListener ()
virtual bool | frameRenderingQueued (const FrameEvent &evt)
| Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.

## Detailed Description

Predefined controller value for getting the latest frame time.

## Constructor & Destructor Documentation

## ◆ FrameTimeControllerValue()

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

## Member Function Documentation

## ◆ frameEnded()

bool Ogre::FrameTimeControllerValue::frameEnded | ( | const FrameEvent & | evt | ) |
| overridevirtual

Called just after a frame has been rendered.

Remarks
  This event happens after all render targets have been fully updated and the buffers switched.

Returns
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

## ◆ frameStarted()

bool Ogre::FrameTimeControllerValue::frameStarted | ( | const FrameEvent & | evt | ) |
| overridevirtual

Called when a frame is about to begin rendering.

Remarks
  This event happens before any render targets have begun updating.

Returns
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

## ◆ getElapsedTime()

Real Ogre::FrameTimeControllerValue::getElapsedTime | ( |  | ) | const

## ◆ getFrameDelay()

Real Ogre::FrameTimeControllerValue::getFrameDelay | ( |  | ) | const

## ◆ getTimeFactor()

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( |  | ) | const

## ◆ getValue()

Real Ogre::FrameTimeControllerValue::getValue | ( |  | ) | const
| overridevirtual

Implements Ogre::ControllerValue< Real >.

## ◆ setElapsedTime()

void Ogre::FrameTimeControllerValue::setElapsedTime | ( | Real | elapsedTime | ) |

## ◆ setFrameDelay()

void Ogre::FrameTimeControllerValue::setFrameDelay | ( | Real | fd | ) |

## ◆ setTimeFactor()

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

## ◆ setValue()

void Ogre::FrameTimeControllerValue::setValue | ( | Real | value | ) |
| overridevirtual

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h